Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1654873 - need an entry in rhsm.conf man page for new "disable" option of rhsmcertd
Summary: need an entry in rhsm.conf man page for new "disable" option of rhsmcertd
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: subscription-manager
Version: 8.0
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: rc
: 8.0
Assignee: Chris Snyder
QA Contact: Red Hat subscription-manager QE Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-29 21:54 UTC by John Sefler
Modified: 2019-07-08 14:35 UTC (History)
2 users (show)

Fixed In Version: subscription-manager-1.23.8-8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 00:49:25 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github candlepin subscription-manager pull 1993 0 None closed 1654873: Add man entry for rhsmcertd.disable 2020-11-05 06:49:41 UTC

Description John Sefler 2018-11-29 21:54:40 UTC
Description of problem:
The following commit introduced a new configuration in /etc/rhsm/rhsm.conf
https://github.com/candlepin/subscription-manager/commit/75d447dedf35c8335c37dbd2d2013e304afe7285

This new configuration needs a descriptive entry in the man page for rhsm.conf.

Version-Release number of selected component (if applicable):
# rpm -q subscription-manager
subscription-manager-1.23.8-2.el8.x86_64

How reproducible:


Steps to Reproduce:
1. man rhsm.conf
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Shwetha Kallesh 2019-01-07 06:26:59 UTC
Verification:

[root@kvm-02-guest13 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 2.3.12-1
subscription management rules: 5.30
subscription-manager: 1.23.8-12.el8


[root@kvm-02-guest13 ~]# cat /etc/rhsm/rhsm.conf | grep "disable"
# Set to 1 to disable certificate validation:
# is strongly recommended. When inotify is disabled, periodical directory
disable = 0

Snippet from rhsm.conf man page:

[RHSMCERTD] OPTIONS
      splay
           1 to enable splay. 0 to disable splay. If enabled, this feature delays the initial auto attach and cert check by an amount between 0 seconds and the interval given for the action being delayed. For example if the
           certCheckInterval were set to 3 minutes, the initial cert check would begin somewhere between 2 minutes after start up (minimum delay) and 5 minutes after start up. This is useful to reduce peak load on the Satellite or
           entitlement service used by a large number of machines.

       disable
           set to 1 to disable rhsmcertd operation entirely.


Note You need to log in before you can comment on or make changes to this bug.